Subject: Re: bug#67470: 29.1; move-end-of-line behaves badly with eglot type annotations

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Nov 2023 15:17:43 +0200

> From: João Távora <[email-masked]>
> Date: Mon, 27 Nov 2023 13:02:36 +0000
> Cc: [email-masked], [email-masked]
> 
> I have reproduced this.  I can even add the following curious example
> 
>   some code aaaaaaaaaa
>   here are|some more lines which do not have annotations
> 
> Press C-p, get
> 
> 
>   some cod| aaaaaaaaaa
>   here are some more lines which do not have annotations
> 
> Which looks like just what you would get if you had pressed C-e
> in the first line.  Now type C-n.
> 
>   some code aaaaaaaaaa
>   here are|some more lines which do not have annotations
> 
> Which is exactly what you expect.  So, the manner in which
> one arrives at the end of the line matters.
> 
> > João, how are those annotations shown?
> 
> With 'before-string' and 'after-string' properties, as you
> guessed.

I'd appreciate an example I could play with that doesn't need Eglot.
I'm not sure we can fix this, but I'd like to understand better what
gets in the way before I decide.

Thanks.